 /* ++ BUILD Version: 0001                                            */
 /*    -- Increment this if a change has global effects               */
 /*                                                                   */
 /* Copyright 1991-1999 Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   lm.cpy                                                          */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This is the top level include file that includes all the files  */
 /*   necessary for writing Lan Manager Application.                  */
 /*                                                                   */
 /* [Environment:]                                                    */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*                                                                   */
 /* --                                                                */

 %dcl #LM_ char ext;
 %if #LM_ = '' %then %do;
 %#LM_ = 'Y';

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
 %include windef;
 %end;

 %dcl NETCONS_INCLUDED char ext;
 %if NETCONS_INCLUDED = '' %then %do;
 %include lmcons;   /* LAN Manager common definitions */
 %end;
 %dcl NETERR_INCLUDED char ext;
 %if NETERR_INCLUDED = '' %then %do;
 %include lmerr;    /* LAN Manager network error definitions */
 %end;

 %include lmaccess; /* Access, Domain, Group and User classes */
 %include lmalert;  /* Alerter */
 %include lmchdev;  /* Character Device and Handle classes */
 %include lmshare;  /* Connection, File, Session and Share classes */
 %include lmmsg;    /* Message class */
 %include lmremutl; /* Remote Utility class */
 %include lmrepl;   /* Replicator class */
 %include lmserver; /* Server class */
 %include lmsvc;    /* Service class */
 %include lmuse;    /* Use class */
 %include lmwksta;  /* Workstation class */
 %include lmapibuf; /* NetApiBuffer class */
 %include lmerrlog; /* NetErrorLog class */
 %include lmconfig; /* NetConfig class */
 %include lmstats;  /* NetStats class */
 %include lmaudit;  /* NetAudit class */
 %include lmjoin;   /* NetJoinDomain class */

 %end; /* _LM_ */
