@ECHO OFF
REM *****************************************************************/
REM                                                                 */
REM   Licensed Materials - Property of IBM                          */
REM   5639-A83, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
REM   All Rights Reserved.                                          */
REM   US Government Users Restricted Rights-- Use, duplication or   */
REM   disclosure restricted by GSA ADP Schedule Contract with       */
REM   IBM Corp.                                                     */
REM                                                                 */
REM DISCLAIMER OF WARRANTIES                                        */
REM   The following enclosed code is sample code created by IBM   */
REM   Corporation. This sample code is not part of any standard     */
REM   IBM product and is provided to you solely for the purpose of  */
REM   assisting you in the development of your applications.  The   */
REM   code is provided "AS IS", without warranty of any kind.       */
REM   IBM shall not be liable for any damages arising out of your   */
REM   use of the sample code, even if IBM has been advised of the   */
REM   possibility of such damages.                                  */
REM                                                                 */
REM                                                                 */
REM Build ILC test of Multithreading between C Set/2 and PL/I.      */
REM The C function LD1CALL1 dynamically loads and calls the PL/I    */
REM procedure AZERODIV.PLI to generate a zero divide condition.     */
REM                                                                 */
REM LD1CALL1.C   is compiled and linked as an EXE.                  */
REM AZERODIV.PLI is compiled and linked as a DLL by the same name.  */
REM                                                                 */
REM  Syntax:   BLDMTCP                                              */
REM                                                                 */
REM *****************************************************************/

  REM Compile and Go for LD1CALL1
  REM - - - - - - - - - - - - -

  REM -- Build the sample
  NMAKE /f bldmtcp.mak all

  REM -- Run the sample
  REM SET ibm.display=std
  LD1CALL1 AZERODIV

  REM -- Clean up
  SET ibm.display=

  REM - - - - - - - - - - - - -
  REM To remove the compiled object and executables
  REM issue "NMAKE /f bldmtcp.mak clean"
  REM - - - - - - - - - - - - -

