 /*++ BUILD Version: 0001                                             */
 /*    -- Increment this if a change has global effects               */
 /*                                                                   */
 /* Copyright 1991-1998 Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   lmapibuf.cpy                                                    */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This file contains information about NetApiBuffer APIs.         */
 /*                                                                   */
 /* Environment:                                                      */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*                                                                   */
 /* Notes:                                                            */
 /*                                                                   */
 /*     You must include LMCONS.CPY before this file, since this file */
 /*     depends on values defined in LMCONS.CPY.                      */
 /*--                                                                 */

 %dcl #LMAPIBUF_ char ext;
 %if #LMAPIBUF_ = '' %then %do;
 %#LMAPIBUF_ = 'Y';


 /* Function Prototypes */

 dcl NetApiBufferAllocate
     entry (type DWORD,
            type LPVOID byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetApiBufferAllocate');

 dcl NetApiBufferFree
     entry (type LPVOID)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetApiBufferFree');

 dcl NetApiBufferReallocate
     entry (type LPVOID,
            type DWORD,
            type LPVOID byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetApiBufferReallocate');

 dcl NetApiBufferSize
     entry (type LPVOID,
            type DWORD byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetApiBufferSize');



 /* The following private function will go away eventually. */
 /* Call NetApiBufferAllocate instead.                      */

 dcl NetapipBufferAllocate /* Internal Function */
     entry (type DWORD,
            type LPVOID byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetapipBufferAllocate');

 %end; /* _LMAPIBUF_ */
